package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 问诊记录表
 * </p>
 *
 * @author rengb
 * @since 2018-11-23
 */
@TableName("icss_inquiry_info")
public class InquiryInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 科室id
     */
    private Long hospitalDeptId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 患者id
     */
    private Long patientId;

    /**
     * 就诊序列号
     */
    private String inquiryCode;

    /**
     * 就诊状态（0待接诊，1接诊中，2完成接诊）
     */
    private Integer regVisitedState;

    /**
     * 分类(1:门诊,2:住院)
     */
    private Integer type;

    /**
     * 诊断
     */
    private String diagnose;

    /**
     * 类型：1：结构化 2：文本模式
     */
    private Integer sign;

    /**
     * 内容JSON字符串
     */
    private String dataJson;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public Long getHospitalDeptId() {
        return hospitalDeptId;
    }

    public void setHospitalDeptId(Long hospitalDeptId) {
        this.hospitalDeptId = hospitalDeptId;
    }
    public Long getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Long doctorId) {
        this.doctorId = doctorId;
    }
    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }
    public String getInquiryCode() {
        return inquiryCode;
    }

    public void setInquiryCode(String inquiryCode) {
        this.inquiryCode = inquiryCode;
    }
    public Integer getRegVisitedState() {
        return regVisitedState;
    }

    public void setRegVisitedState(Integer regVisitedState) {
        this.regVisitedState = regVisitedState;
    }
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    public String getDiagnose() {
        return diagnose;
    }

    public void setDiagnose(String diagnose) {
        this.diagnose = diagnose;
    }
    public Integer getSign() {
        return sign;
    }

    public void setSign(Integer sign) {
        this.sign = sign;
    }
    public String getDataJson() {
        return dataJson;
    }

    public void setDataJson(String dataJson) {
        this.dataJson = dataJson;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "InquiryInfo{" +
        "id=" + id +
        ", isDeleted=" + isDeleted +
        ", gmtCreate=" + gmtCreate +
        ", gmtModified=" + gmtModified +
        ", creator=" + creator +
        ", modifier=" + modifier +
        ", hospitalId=" + hospitalId +
        ", hospitalDeptId=" + hospitalDeptId +
        ", doctorId=" + doctorId +
        ", patientId=" + patientId +
        ", inquiryCode=" + inquiryCode +
        ", regVisitedState=" + regVisitedState +
        ", type=" + type +
        ", diagnose=" + diagnose +
        ", sign=" + sign +
        ", dataJson=" + dataJson +
        ", remark=" + remark +
        "}";
    }
}
